// creator  : weidu.exe (version 23100)
// argument : _HELSHA.DLG
// game		 : .
// source	 : ./override/_HELSHA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_HELSHA~

IF ~~ THEN BEGIN 0 // from: _ITHMEE:0.0
  SAY #82012 /* ~This week's end will not come soon enough!  I tire of standing about, playing watchman.  Many a magical study awaits, while I waste time guarding a rock.~ */
  IF ~~ THEN EXTERN ~_ITHMEE~ 1
END

IF ~~ THEN BEGIN 1 // from: _ITHMEE:1.0
  SAY #2999 /* ~Fragment or no, here I sit guarding a pebble while the world goes on without me.  I don't know how you and her stand it.~ */
  IF ~~ THEN EXTERN ~_ITHMEE~ 2
END

IF ~~ THEN BEGIN 2 // from: _ITHMEE:2.0
  SAY #3000 /* ~Ithmeera, you should know by now that father is a few sparks shy of a fireball.  Skyship or rowboat, if he made it I wouldn't trust it to hold air, let alone float on it.~ */
  IF ~~ THEN EXTERN ~_ITHMEE~ 3
END

IF ~~ THEN BEGIN 3 // from: _ITHMEE:3.0
  SAY #82023 /* ~You know sister, I think we have been duped.  I do not believe I recognize this supposed servant.  Sound a warning!  It's as father predicted; a thief in our midst!~ */
  IF ~~ THEN REPLY #3002 /* ~Surrender the items you guard, lest I take them from your corpses!~ */ GOTO 5
  IF ~~ THEN REPLY #3003 /* ~I am a servant here, just hired.  I mean no harm.  My apologies for disturbing you, I shall leave.~ */ GOTO 4
  IF ~~ THEN REPLY #3004 /* ~I am no thief!  I offer good gold for the items you guard.  Name a price!~ */ EXTERN ~_ITHMEE~ 5
END

IF ~~ THEN BEGIN 4 // from: _ITHMEE:5.0 3.1
  SAY #82024 /* ~You are no manservant!  You're either assassins or thieves!  It matters not which as you will die nonetheless.~ */
  IF ~~ THEN DO ~ActionOverride("ithmeera",Enemy())
ActionOverride("delorna",Enemy())
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.0
  SAY #82025 /* ~It is a long, cold journey to MY corpse, fool!~ */
  IF ~~ THEN EXTERN ~_ITHMEE~ 4
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #82026 /* ~I am Helshara, a daughter of the great mage Shandalar.  My father has given me the duty of selling certain components to the Grand Dukes of Baldur's Gate.  They are vital to the construction of a Halruuan flying ship.  You could likely do it for me, though.  Take my component, if you wish.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #82009 /* ~What you've done is wrong!  You'll pay!~ */
  IF ~~ THEN EXIT
END

IF ~NumberOfTimesTalkedTo(0)
!Dead("ithmeera")
~ THEN BEGIN 8 // from: _ITHMEE:9.0
  SAY #82027 /* ~You've gone rather far afield, haven't you servant?  Well no matter, anyone to alleviate the boredom is appreciated, even if they are of the lower class.~ */
  IF ~~ THEN DO ~ActionOverride("ithmeera",SetNumTimesTalkedTo(1))
~ EXTERN ~_ITHMEE~ 0
END
